=== debian/changelog ===
ros-indigo-map-server (1.12.16-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Jun 2018 04:00:00 -0000

ros-indigo-map-server (1.12.15-0trusty) trusty; urgency=high

  * Merge pull request #671 <https://github.com/ros-planning/navigation/issues/671> from ros-planning/email_update_indigo
    update maintainer email (indigo)
  * Merge pull request #647 <https://github.com/ros-planning/navigation/issues/647> from aaronhoy/indigo_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 20 Mar 2018 04:00:00 -0000

ros-indigo-map-server (1.12.14-0trusty) trusty; urgency=high

  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Set default name for uncomplete path (#543 <https://github.com/ros-planning/navigation/issues/543>)
  * Contributors: Jntzko, Martin Günther

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Dec 2017 05:00:00 -0000

ros-indigo-map-server (1.12.13-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 15 Aug 2016 04:00:00 -0000

ros-indigo-map-server (1.12.12-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 24 Jun 2016 04:00:00 -0000

ros-indigo-map-server (1.12.11-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 08 Jun 2016 04:00:00 -0000

ros-indigo-map-server (1.12.10-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 May 2016 04:00:00 -0000

ros-indigo-map-server (1.12.9-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 26 May 2016 04:00:00 -0000

ros-indigo-map-server (1.12.8-0trusty) trusty; urgency=high

  * Corrections to alpha channel detection and usage.
  * Removing some trailing whitespace.
  * Use enum to control map interpretation
  * Contributors: Aaron Hoy, David Lu

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 16 May 2016 04:00:00 -0000

ros-indigo-map-server (1.12.7-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 05 Jan 2016 05:00:00 -0000

ros-indigo-map-server (1.12.6-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 02 Jan 2016 05:00:00 -0000

ros-indigo-map-server (1.12.5-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-indigo-map-server (1.12.4-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 03 Jun 2015 04:00:00 -0000

ros-indigo-map-server (1.12.3-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Apr 2015 04:00:00 -0000

ros-indigo-map-server (1.12.2-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-map-server (1.12.1-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 14 Mar 2015 04:00:00 -0000

ros-indigo-map-server (1.12.0-0trusty) trusty; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-indigo-map-server (1.11.15-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-indigo-map-server (1.11.14-0trusty) trusty; urgency=high

  * prevent inf loop
  * Contributors: Jeremie Deray

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-indigo-map-server (1.11.13-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-indigo-map-server (1.11.12-0trusty) trusty; urgency=high

  * map_server: [style] alphabetize dependencies
  * map_server: remove vestigial export line
    the removed line does not do anything in catkin
  * Contributors: William Woodall

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-indigo-map-server (1.11.11-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-indigo-map-server (1.11.10-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-indigo-map-server (1.11.9-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 04:00:00 -0000

ros-indigo-map-server (1.11.8-0trusty) trusty; urgency=high

  * fix build, was broken by #175 <https://github.com/ros-planning/navigation/issues/175>
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-indigo-map-server (1.11.7-0trusty) trusty; urgency=high

  * make rostest in CMakeLists optional
  * Contributors: Lukas Bulwahn

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 21 May 2014 04:00:00 -0000

ros-indigo-map-server (1.11.5-0trusty) trusty; urgency=high

  * install crop map
  * removing .py from executable script
  * Map Server can serve maps with non-lethal values
  * Added support for YAML-CPP 0.5+.
    The new yaml-cpp API removes the "node >> outputvar;" operator, and
    it has a new way of loading documents. There's no version hint in the
    library's headers, so I'm getting the version number from pkg-config.
  * check for CATKIN_ENABLE_TESTING
  * Change maintainer from Hersh to Lu

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Jan 2014 05:00:00 -0000

ros-indigo-map-server (1.11.4-0trusty) trusty; urgency=high

  * prefix utest target to not collide with other targets
  * Package URL Updates
  * unique target names to avoid conflicts (e.g. with map-store)

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 Sep 2013 04:00:00 -0000
